package com.koobietech.eas.mbg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import java.util.Date;

public class EasEduSchedule implements Serializable {
    private Long id;

    /**
     * 当周周几
     *
     * @mbg.generated
     */
    @Schema(description = "当周周几")
    private Integer week;

    /**
     * 起始时间
     *
     * @mbg.generated
     */
    @Schema(description = "起始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date startTime;

    /**
     * 结束时间
     *
     * @mbg.generated
     */
    @Schema(description = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date endTime;

    /**
     * 教室ID
     *
     * @mbg.generated
     */
    @Schema(description = "教室ID")
    private Integer roomId;

    /**
     * 班级ID
     *
     * @mbg.generated
     */
    @Schema(description = "班级ID")
    private Integer classId;

    /**
     * 助教ID
     *
     * @mbg.generated
     */
    @Schema(description = "助教ID")
    private Integer assistantId;

    /**
     * 教师ID
     *
     * @mbg.generated
     */
    @Schema(description = "教师ID")
    private Integer teacherId;

    /**
     * 授课类别
     *
     * @mbg.generated
     */
    @Schema(description = "授课类别")
    private Integer categoryId;

    /**
     * 授课内容
     *
     * @mbg.generated
     */
    @Schema(description = "授课内容")
    private Integer subjectsId;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @Schema(description = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    @Schema(description = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date modifyTime;

    /**
     * 创建用户ID
     *
     * @mbg.generated
     */
    @Schema(description = "创建用户ID")
    private Integer createUid;

    /**
     * 状态
     *
     * @mbg.generated
     */
    @Schema(description = "状态")
    private String disabled;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getWeek() {
        return week;
    }

    public void setWeek(Integer week) {
        this.week = week;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getRoomId() {
        return roomId;
    }

    public void setRoomId(Integer roomId) {
        this.roomId = roomId;
    }

    public Integer getClassId() {
        return classId;
    }

    public void setClassId(Integer classId) {
        this.classId = classId;
    }

    public Integer getAssistantId() {
        return assistantId;
    }

    public void setAssistantId(Integer assistantId) {
        this.assistantId = assistantId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    public Integer getSubjectsId() {
        return subjectsId;
    }

    public void setSubjectsId(Integer subjectsId) {
        this.subjectsId = subjectsId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getCreateUid() {
        return createUid;
    }

    public void setCreateUid(Integer createUid) {
        this.createUid = createUid;
    }

    public String getDisabled() {
        return disabled;
    }

    public void setDisabled(String disabled) {
        this.disabled = disabled == null ? null : disabled.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", week=").append(week);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", roomId=").append(roomId);
        sb.append(", classId=").append(classId);
        sb.append(", assistantId=").append(assistantId);
        sb.append(", teacherId=").append(teacherId);
        sb.append(", categoryId=").append(categoryId);
        sb.append(", subjectsId=").append(subjectsId);
        sb.append(", createTime=").append(createTime);
        sb.append(", modifyTime=").append(modifyTime);
        sb.append(", createUid=").append(createUid);
        sb.append(", disabled=").append(disabled);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}